org.apache.poi.xdgf.usermodel.section

## Class XDGFSection

- java.lang.Object
- - org.apache.poi.xdgf.usermodel.section.XDGFSection

- Direct Known Subclasses:
    CharacterSection, GenericSection, GeometrySection

      public abstract class XDGFSection
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map<java.lang.String,XDGFCell>` | `_cells`
    `protected XDGFSheet` | `_containingSheet`
    `protected com.microsoft.schemas.office.visio.x2012.main.SectionType` | `_section`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XDGFSection(com.microsoft.schemas.office.visio.x2012.main.SectionType section, XDGFSheet containingSheet)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.microsoft.schemas.office.visio.x2012.main.SectionType` | `getXmlObject()`
    `static XDGFSection` | `load(com.microsoft.schemas.office.visio.x2012.main.SectionType section, XDGFSheet containingSheet)`
    `abstract void` | `setupMaster(XDGFSection section)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _section

          protected com.microsoft.schemas.office.visio.x2012.main.SectionType _section

    - #### _containingSheet

          protected XDGFSheet _containingSheet

    - #### _cells

          protected java.util.Map<java.lang.String,XDGFCell> _cells

  - ### Constructor Detail

    - #### XDGFSection

          public XDGFSection(com.microsoft.schemas.office.visio.x2012.main.SectionType section,
                             XDGFSheet containingSheet)

  - ### Method Detail

    - #### load

          public static XDGFSection load(com.microsoft.schemas.office.visio.x2012.main.SectionType section,
                                         XDGFSheet containingSheet)

    - #### getXmlObject

          @Internal
          public com.microsoft.schemas.office.visio.x2012.main.SectionType getXmlObject()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### setupMaster

          public abstract void setupMaster(XDGFSection section)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.